diff --git a/pdns/nameserver.cc b/pdns/nameserver.cc
index d6319e1..f50ec48 100644
--- a/pdns/nameserver.cc
+++ b/pdns/nameserver.cc
@@ -179,7 +179,7 @@ UDPNameserver::UDPNameserver()
 void UDPNameserver::send(DNSPacket *p)
 {
   const string& buffer=p->getString();
-  DLOG(L<<Logger::Notice<<"Sending a packet to "<< p->remote.toString() <<" ("<< buffer.length()<<" octets)"<<endl);
+  DLOG(L<<Logger::Notice<<"Sending a packet to "<< p->d_remote.toString() <<" ("<< buffer.length()<<" octets)"<<endl);
   if(buffer.length() > p->getMaxReplyLen()) {
     cerr<<"Weird, trying to send a message that needs truncation, "<< buffer.length()<<" > "<<p->getMaxReplyLen()<<endl;
   }
